VARKON Version 1.15 1997-10-24

> ## tcopy - Geometric procedure

> Copies entities
> Description
> Creates a transformed copy of an entity. If the entity is a part a new part with the same name is created and TCOPY is performed on all its members.
> Syntax
> tcopy(id, entity, tform, amode:attributes);

> REF | id;
> REF | entity;
> REF | tform;
> INT | amode;

> Principal parameters

> id | - Local identity
> entity | - Identity of the entity to copy and transform
> tform | - Identity of transformation

> Optional parameters

> amode | - Attribute mode, 0 = copy from entity (default), 1 = use current

> Attributes

> Any attribute valid for the copied entity |

> Example
> tcopy(#5,#2,#1);
> Create a copy #5 of #2 using the transformation #1. Copy attributes from #2.
> tcopy(#5,#2,#1,1:LEVEL=10);
> Same as above but #2 will not inherit its attributes from the original entity. Instead the system current values will be used including LEVEL=10.
> Comments
> If the copied entity is a part no parameters are copied.

VARKON Homepage | Index